﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebAPI.Models
{
    public class ResponseTask
    {
        public ResponseTask(Task task)
        {
            ID = task.ID;
            ExecutorID = task.ExecutorID;
            Title = task.Title;
            Description = task.Description;
            CreateDateTime = task.CreateDateTime;
            Deadline = task.Deadline;
            Difficulty = task.Difficulty;
            Time = task.Time;
            Status = task.Status;
            WorkType = task.WorkType;

        }
        public int ID { get; set; }
        public int ExecutorID { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public System.DateTime CreateDateTime { get; set; }
        public System.DateTime Deadline { get; set; }
        public double Difficulty { get; set; }
        public int Time { get; set; }
        public string Status { get; set; }
        public string WorkType { get; set; }
        
    }
}
